import React, { useState } from 'react';
import { 
  StyleSheet, 
  Text, 
  View, 
  TextInput,
  TouchableOpacity,
  Switch,
  TouchableWithoutFeedback,
  Keyboard,

  
} from 'react-native';

import Header from '../components/header';
import Icon from "react-native-vector-icons/FontAwesome";
import { globaleStyles } from '../styles/globale';

const TabIcon = (props) => (
  <Icon name="gamepad" color="#111" size={35}/>
)



function ConectDevice() {
  const [device,setDevice] = useState(0);

  const pressHandler = () =>{
    console.log(device);
  }

  return(
    <View style={globaleStyles.driver}>
    <TextInput 
    style={globaleStyles.imput}
    placeholder=' connect to device ...'
    onChangeText={(val) => setDevice(val)}
    />
     <TouchableOpacity 
        onPress={() => pressHandler()}>
        <Text style={globaleStyles.buttonColorText} >Connect</Text>
      </TouchableOpacity> 
  </View>
  )
}

function LEDOnOff(){
  const [isEnabled, setIsEnabled] = useState(false);
  const toggleSwitch = () => {
    setIsEnabled(previousState => !previousState);
    if(isEnabled){
      console.log('off');
    }else{
      console.log('on');
    }
  }

  return(
    <View style={globaleStyles.driver}>
      <Text >LED On Off</Text>
      <Switch
        style={{ transform: [{ scaleX: 1.5  }, { scaleY: 1.5 }] }}
        trackColor={{ false: "#767577", true: "#483d8b" }}
        thumbColor={isEnabled ? "#2c2656" : "#f4f3f4"}
        ios_backgroundColor="#3e3e3e"
        onValueChange={toggleSwitch}
        value={isEnabled}
      />
    </View>
  )
}

function JoyStick(){

  const pressHandler= (nr) => {
    console.log(nr);
  }
  return(
  <View >
    <View style={globaleStyles.joystick}>
    <TouchableOpacity 
      onPress={() => pressHandler(1)}>
        <Icon name="arrow-circle-up" color="#2c2656" size={60}/>
    </TouchableOpacity> 
    </View>

  <View style={globaleStyles.viweJoyStick}>

      <View style={globaleStyles.joystick}>
      <TouchableOpacity 
        onPress={() => pressHandler(4)}>
          <Icon name="arrow-circle-left" color="#2c2656" size={60}/>
      </TouchableOpacity> 
      </View>
      <View style={globaleStyles.joystick}>
      <TouchableOpacity 
        onPress={() => pressHandler(0)}>
          <Icon name="pause-circle" color="#2c2656" size={60}/>
      </TouchableOpacity> 
      </View>
      <View style={globaleStyles.joystick}>
      <TouchableOpacity 
        onPress={() => pressHandler(2)}>
          <Icon name="arrow-circle-right" color="#2c2656" size={60}/>
      </TouchableOpacity> 
    </View>
  </View>

  <View style={globaleStyles.joystick}>
    <TouchableOpacity 
      onPress={() => pressHandler(3)}>
        <Icon name="arrow-circle-down" color="#2c2656" size={60}/>
    </TouchableOpacity> 
    </View>

</View>
  )
}

export default class Driver extends React.Component {

  static navigationOptions = {
    tabBarIcon: TabIcon
  };

  render() {
    return (
      <TouchableWithoutFeedback onPress={() => {
        Keyboard.dismiss();
      }}>
        <View >
          <Header text={'Controller'}/>
          <ConectDevice/>
          <LEDOnOff/>
          <JoyStick/>
      </View>
      </TouchableWithoutFeedback>

    );
  }
}

