import React,{useState} from 'react';
import { 
  StyleSheet, 
  Text, 
  View, 
  FlatList,
} from 'react-native';


import ListItem from '../components/listItem'
import { globaleStyles } from '../styles/globale';


function PartList(){

  const[parts ,setPart] = useState([
    {nr: '12', key: 'Main'},
    {nr: '1', key: 'brain'},
    {nr: '1', key: 'brain holder'},
    {nr: '2', key: 'Battery holder'},
  ]);

  const pressHandler = (key) => {
    setPart((prevParts) => {
      return prevParts.filter(parts => parts.key != key);
    });
  }


  return (
    <FlatList style={{flex: 1}}
    data={parts}
    renderItem={({ item })=> (
      <ListItem item={item} pressHandler={pressHandler}/>
      )}
  />
  )
}


export default class Roboter2 extends React.Component {

      render() {
        return (
          <View style={{flex: 1}}>
            <Text style={globaleStyles.text}>Here are the parts you need to build this robot.</Text>
          <PartList/>
         </View>
        );
      }
    }